<?php
    session_start();
    if (!isset($_SESSION['auth'])) {
        header('Location: login.php');
        exit;
    }
    if (isset($_GET['logout'])) {
        unset($_SESSION['auth']);
        session_destroy();
        header('Location: login.php');
        exit;
    }
?>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
    <title>LInE Quest</title>
    <style>
        body {
            font-family: Arial;
        }
        table {
            border-collapse: collapse;
            width: 100%;
            margin-bottom: 1em;
        }

        table td, table th {
            border: 1px solid #ddd;
            padding: 8px;
        }

        table tr:nth-child(even){background-color: #f2f2f2;}

        table tr:hover {background-color: #ddd;}

        table tr:hover td {border: 1px solid white;}

        table th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #4CAF50;
            color: white;
        }

        .pagination {
            display: inline-block;
            margin-top: 1em;
        }

        .pagination a {
            color: black;
            float: left;
            padding: 8px 16px;
            text-decoration: none;
            border: 1px solid #ddd;
        }

        .pagination a:hover:not(.active) {background-color: #ddd;}

        .pagination a:first-child {
            border-top-left-radius: 5px;
            border-bottom-left-radius: 5px;
        }

        .pagination a:last-child {
            border-top-right-radius: 5px;
            border-bottom-right-radius: 5px;
        }

        .disabled {

            pointer-events: none;
            cursor: default;
            text-decoration: none;
            color: #918a8a !important;;
            background-color: #f0efef;
        }

        .export {
            float: right;
        }

        .total {
            float: left;
        }
        .button {
            border: none;
            color: white;
            background-color: #555555;
            padding: 15px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
        }
    </style>
</head>
<body>
    <?php
        print "<p><a class='button' href='?logout'>Sair</a></p>";
    ?>
    <table>
    <?php
        require_once('../controller/admin.php');
        require_once('../controller/validator.php');
        require_once('../controller/util.php');
        if (isset($_GET['check'])) {
            try {
                $hash = Validator::str($_GET['check']);
                switchQuestionnaireActive($hash);
            } catch (Exception $e) {
            }
        }
        if (isset($_GET['pageno'])) {
            $pageno = Validator::int($_GET['pageno']);
        } else {
            $pageno = 1;
        }

        $no_of_records_per_page = 10;
        $offset = ($pageno-1) * $no_of_records_per_page;

        $total_rows = getQuestionnairesTotal();
        $total_pages = ceil($total_rows / $no_of_records_per_page);

        $res_data = paginateQuestionnaire($offset, $no_of_records_per_page);

        $all_fields = ['Título','Visualizar','Email','Ativar?'];

        print '<tr>';
        foreach($all_fields as $field) {
            print "<th>$field</th>";
        }
        print '</tr>';

        foreach($res_data as $form) {
            $id = $form['view_hash'];
            $url = generateURI("/forms/viewer.php?id=$id");
            $active = boolval($form['active']) ? 'checked' : '';
            $email = $form['email'];
            print '<tr>';
            print '<td>'.$form['title'].'</td>';
            print "<td><a target='_blank' href='$url'>link</a></td>";
            print "<td><a href='mailto:$email'>$email</a></td>";
            print "<td><a href='?pageno=$pageno&check=$id'><input type='checkbox' $active/></a></td>";
            print '</tr>';
        }

    ?>
    </table>
    <div class="total">
        Total de questionários: <b><?= $total_rows ?></b>
    </div>
    <center>
        <div class="pagination">
            <a class="<?php if($pageno <= 1){ echo 'disabled'; } ?>" href="?pageno=1">Primeira</a>

            <a class="<?php if($pageno <= 1){ echo 'disabled'; } ?>" href="<?php if($pageno <= 1){ echo '#'; } else { echo "?pageno=".($pageno - 1); } ?>">Anterior</a>

            <a class="<?php if($pageno >= $total_pages){ echo 'disabled'; } ?>" href="<?php if($pageno >= $total_pages){ echo '#'; } else { echo "?pageno=".($pageno + 1); } ?>">Próxima</a>
            <a class="<?php if($pageno >= $total_pages){ echo 'disabled'; } ?>" href="?pageno=<?php echo $total_pages; ?>">Última</a>
        </div>
    </center>
</body>
</html>
