<?php
require_once('../templates/templates.php');
$template = getTemplate('explorer_login.html');
$context = ['errors' => '','post_url' => '../explorer/login.php'];

function errorMessage () {
    global $context;
    $errorAlert = getTemplate('error_alert.html');
    $context['errors'] = parseTemplate($errorAlert, ['message'=>'Email ou senha incorretos. Certifique-se que os dados informados estão corretos']);
}

if (!empty($_POST)) {
    require_once('../controller/forms.php');
    require_once('../controller/validator.php');

    Validator::check(['email','senha'], $_POST);
    $email = Validator::email($_POST['email']);
    $password = Validator::str($_POST['senha']);
    try {
        $valid = checkFormAccess($email, $password);
        if ($valid) {
            session_start();
            $_SESSION['hash_user'] = $password;
            header('Location: index.php');
            exit;
        }
        errorMessage();
    } catch (Exception $e) {
        errorMessage();
    }
}
echo parseTemplate($template, $context);
